

Patch from "Randy.Dunlap" <randy.dunlap@verizon.net>, Tomas Szepe

Move the SWAP option into the General Setup menu.



 arch/i386/Kconfig |    9 ---------
 init/Kconfig      |   10 +++++++++-
 2 files changed, 9 insertions(+), 10 deletions(-)

diff -puN arch/i386/Kconfig~move-CONFIG_SWAP arch/i386/Kconfig
--- 25/arch/i386/Kconfig~move-CONFIG_SWAP	2003-03-05 11:03:21.000000000 -0800
+++ 25-akpm/arch/i386/Kconfig	2003-03-05 11:03:21.000000000 -0800
@@ -18,15 +18,6 @@ config MMU
 	bool
 	default y
 
-config SWAP
-	bool "Support for paging of anonymous memory"
-	default y
-	help
-	  This option allows you to choose whether you want to have support
-	  for socalled swap devices or swap files in your kernel that are
-	  used to provide more virtual memory than the actual RAM present
-	  in your computer.  If unusre say Y.
-
 config SBUS
 	bool
 
diff -puN init/Kconfig~move-CONFIG_SWAP init/Kconfig
--- 25/init/Kconfig~move-CONFIG_SWAP	2003-03-05 11:03:21.000000000 -0800
+++ 25-akpm/init/Kconfig	2003-03-05 11:03:33.000000000 -0800
@@ -34,9 +34,17 @@ config EXPERIMENTAL
 
 endmenu
 
-
 menu "General setup"
 
+config SWAP
+	bool "Support for paging of anonymous memory"
+	default y
+	help
+	  This option allows you to choose whether you want to have support
+	  for the so-called swap devices or swap files.  There are used to
+	  provide more virtual memory than the actual RAM presents in your
+	  computer.  If unsure, say Y.
+
 config SYSVIPC
 	bool "System V IPC"
 	---help---

_
